## pyroma 2.3.1

=== Makefile ===
.PHONY: docs

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

help: ## display this message
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

generate: ## generate environment for tests
	cd pyroma/testdata/complete
	python setup.py sdist --formats=bztar,gztar,tar,zip
	cp pyroma/testdata/complete/dist/complete-1.0.dev1.* pyroma/testdata/distributions/

tests: generate ## run tests
	python -m unittest pyroma.tests

clean: clean-pyc ## remove all

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +
	find . -name 'pip-selfcheck.json' -exec rm -fr {} +
	find . -name 'pyvenv.cfg' -exec rm -fr {} +

## pyroma 2.0.0b2

=== debian/changelog ===
pyroma (2.0.0b2-1) unstable; urgency=low

  * New upstream release
  * Disable Tox tests (Closes: #799997)

 -- Federico Ceratto <federico@debian.org>  Sun, 13 Dec 2015 13:24:09 +0000

pyroma (1.8.2-1) unstable; urgency=low

  * Initial release (Closes: #734121)

 -- Federico Ceratto <federico@debian.org>  Thu, 20 Aug 2015 15:47:39 +0200

=== debian/control ===
Source: pyroma
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends:
 debhelper (>= 9~)
Build-Depends-Indep:
 dh-python,
 python-all (>= 2.6.6-3~),
 python-docutils,
 python-setuptools,
 python3-all,
 python3-docutils,
 python3-setuptools
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/regebro/pyroma
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.2
Vcs-Git: git://anonscm.debian.org/collab-maint/pyroma.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pyroma.git;a=summary

Package: python-pyroma
Architecture: all
Depends:
 ${python:Depends},
 ${misc:Depends}
Recommends: ${python:Recommends}
Provides: ${python:Provides}
Description: Python packaging quality checker
 Provides a rating of how well a Python project complies with the best practices
 of the Python packaging ecosystem, primarily PyPI, pip, Distribute etc, as well
 as a list of issues that could be improved.
 It can check packages locally and on PyPI.

Package: python3-pyroma
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Recommends: ${python:Recommends}
Provides: ${python:Provides}
Description: Python packaging quality checker (Python3 build)
 Provides a rating of how well a Python3 project complies with the best
 practices of the Python packaging ecosystem, primarily PyPI, pip, Distribute
 etc, as well as a list of issues that could be improved.
 It can check packages locally and on PyPI.

## pyroma 2.0.2

=== debian/changelog ===
pyroma (2.0.2-1ubuntu1) bionic; urgency=medium

  * python3-pyroma: Depend on python3-distutils. Closes: #896227.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Apr 2018 08:42:20 +0200

pyroma (2.0.2-1) unstable; urgency=medium

  * New upstream release (Closes: #828080)

 -- Federico Ceratto <federico@debian.org>  Thu, 30 Jun 2016 19:47:40 +0100

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python3-all,
  python3-docutils,
  python3-setuptools
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://bitbucket.org/regebro/pyroma
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: git://anonscm.debian.org/collab-maint/pyroma.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/pyroma.git;a=summary
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/pyroma.git
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pyroma.git
 
 Package: python-pyroma
 Architecture: all
@@ -35,6 +35,7 @@
 Package: python3-pyroma
 Architecture: all
 Depends:
+ python3-distutils,
  ${python3:Depends},
  ${misc:Depends}
 Recommends: ${python:Recommends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PYBUILD_NAME=pyroma
export PYBUILD_DISABLE=test
export DH_VERBOSE=1

export http_proxy = http://127.0.0.1:9
export https_proxy = https://127.0.0.1:9

%:
	dh $@ --with python2,python3 --buildsystem=pybuild --test-tox

override_dh_installchangelogs:
	dh_installchangelogs HISTORY.txt

override_dh_auto_install:
	dh_auto_install
	# Renaming Python3 binary
	mv debian/python3-pyroma/usr/bin/pyroma debian/python3-pyroma/usr/bin/pyroma3

=== debian/watch ===
version=3
https://bitbucket.org/regebro/pyroma/downloads .*/(\d\S*)\.tar\.gz

## pyroma 2.3.1

=== debian/changelog ===
pyroma (2.3.1-1) unstable; urgency=medium

  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Thu, 12 Jul 2018 19:04:07 +0100

pyroma (2.3-1) unstable; urgency=medium

  * Add dependency on python3-distutils. Thanks Matthias Klose
    (Closes: #896227)
  * New upstream release

 -- Federico Ceratto <federico@debian.org>  Sat, 28 Apr 2018 15:59:20 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Federico Ceratto <federico@debian.org>
 Build-Depends:
- debhelper (>= 9~)
+ debhelper (>= 11~)
 Build-Depends-Indep:
  dh-python,
  python-all (>= 2.6.6-3~),
@@ -12,12 +12,12 @@
  python3-all,
  python3-docutils,
  python3-setuptools
-Standards-Version: 3.9.8
-Homepage: https://bitbucket.org/regebro/pyroma
+Standards-Version: 4.1.5
+Homepage: https://github.com/regebro/pyroma
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.2
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/pyroma.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/pyroma.git
+Vcs-Git: https://salsa.debian.org/debian/pyroma.git
+Vcs-Browser: https://salsa.debian.org/debian/pyroma
 
 Package: python-pyroma
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,16 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export PYBUILD_NAME=pyroma
-export PYBUILD_DISABLE=test
 export DH_VERBOSE=1
 
 export http_proxy = http://127.0.0.1:9
 export https_proxy = https://127.0.0.1:9
 
+# Force UTF-8 locale
+export LC_ALL=C.UTF-8
+
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild --test-tox
+	dh $@ --with python2,python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.txt

## pyroma 2.6b2

=== Makefile ===
--- 
+++ 
@@ -31,3 +31,8 @@
 	find . -name '__pycache__' -exec rm -fr {} +
 	find . -name 'pip-selfcheck.json' -exec rm -fr {} +
 	find . -name 'pyvenv.cfg' -exec rm -fr {} +
+
+prepare-release:
+	python fetch_classifiers.py
+
+

=== debian/changelog ===
pyroma (2.6b2-1ubuntu1) noble; urgency=medium

  * Drop dependency on python3-distutils.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 10 Mar 2024 18:33:39 +0100

pyroma (2.6b2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field

  [ Federico Ceratto ]
  * New upstream release
  * Drop Python 2 package (Closes: #937527)

 -- Federico Ceratto <federico@debian.org>  Sat, 21 Dec 2019 10:25:15 +0000

=== debian/control ===
Source: pyroma
Section: python
Priority: optional
Maintainer: Federico Ceratto <federico@debian.org>
Build-Depends:
 debhelper-compat (= 12)
Build-Depends-Indep:
 dh-python,
 python3-all,
 python3-docutils,
 python3-pygments,
 python3-setuptools
Standards-Version: 4.4.1
Homepage: https://github.com/regebro/pyroma
Vcs-Git: https://salsa.debian.org/debian/pyroma.git
Vcs-Browser: https://salsa.debian.org/debian/pyroma

Package: python3-pyroma
Architecture: all
Depends:
 ${python3:Depends},
 ${misc:Depends}
Recommends: ${python3:Recommends}
Provides: ${python3:Provides}
Description: Python packaging quality checker (Python3 build)
 Provides a rating of how well a Python3 project complies with the best
 practices of the Python packaging ecosystem, primarily PyPI, pip, Distribute
 etc, as well as a list of issues that could be improved.
 It can check packages locally and on PyPI.

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 export LC_ALL=C.UTF-8
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_installchangelogs:
 	dh_installchangelogs HISTORY.txt

## pyroma 4.2

=== Makefile ===
--- 
+++ 
@@ -34,5 +34,3 @@
 
 prepare-release:
 	python fetch_classifiers.py
-
-

=== debian/changelog ===
pyroma (4.2-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload to allow testing migration.
  * debian/control: Use dh-sequence-python3.

 -- Boyuan Yang <byang@debian.org>  Mon, 29 Jul 2024 06:35:48 -0400

pyroma (4.2-1) unstable; urgency=medium

  * New upstream release
  * Remove dependency on distutils (Closes: #1065921)

 -- Federico Ceratto <federico@debian.org>  Sun, 07 Jul 2024 10:12:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: pyroma
 Section: python
 Priority: optional
-Maintainer: Federico Ceratto <federico@debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Federico Ceratto <federico@debian.org>
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13),
+ dh-sequence-python3,
 Build-Depends-Indep:
- dh-python,
  python3-all,
  python3-docutils,
  python3-pygments,
- python3-setuptools
-Standards-Version: 4.4.1
+ python3-setuptools,
+Standards-Version: 4.6.2
 Homepage: https://github.com/regebro/pyroma
 Vcs-Git: https://salsa.debian.org/debian/pyroma.git
 Vcs-Browser: https://salsa.debian.org/debian/pyroma

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyroma-$1\.tar\.gz/ https://github.com/regebro/pyroma/tags .*/v?(\d\S*)\.tar\.gz

## pyroma 5.0

=== Makefile ===
--- 
+++ 
@@ -15,8 +15,7 @@
 	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
 
 generate: ## generate environment for tests
-	cd pyroma/testdata/complete
-	python setup.py sdist --formats=bztar,gztar,tar,zip
+	cd pyroma/testdata/complete;python setup.py sdist --formats=bztar,gztar,tar,zip
 	cp pyroma/testdata/complete/dist/complete-1.0.dev1.* pyroma/testdata/distributions/
 
 tests: generate ## run tests
@@ -31,6 +30,3 @@
 	find . -name '__pycache__' -exec rm -fr {} +
 	find . -name 'pip-selfcheck.json' -exec rm -fr {} +
 	find . -name 'pyvenv.cfg' -exec rm -fr {} +
-
-prepare-release:
-	python fetch_classifiers.py

=== debian/changelog ===
pyroma (5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 5.0 (Closes: #1077701)
  * d/watch: skip beta

 -- Alexandre Detiste <tchet@debian.org>  Mon, 01 Sep 2025 12:30:02 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-docutils,
  python3-pygments,
  python3-setuptools,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/regebro/pyroma
 Vcs-Git: https://salsa.debian.org/debian/pyroma.git
 Vcs-Browser: https://salsa.debian.org/debian/pyroma
@@ -19,6 +19,7 @@
 Package: python3-pyroma
 Architecture: all
 Depends:
+ python3-setuptools,
  ${python3:Depends},
  ${misc:Depends}
 Recommends: ${python3:Recommends}

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PYBUILD_NAME=pyroma
export DH_VERBOSE=1

# Force UTF-8 locale
export LC_ALL=C.UTF-8

%:
	dh $@ --buildsystem=pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

override_dh_auto_install:
	dh_auto_install
	# Renaming Python3 binary
	mv debian/python3-pyroma/usr/bin/pyroma debian/python3-pyroma/usr/bin/pyroma3

override_dh_auto_test:
	true

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/pyroma-$1\.tar\.gz/ https://github.com/regebro/pyroma/tags .*/v?(\d\S*)\.tar\.gz

## pyroma 5.0.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
-.PHONY: docs
+root_dir := $(shell dirname $(realpath $(lastword $(MAKEFILE_LIST))))
+bin_dir := $(root_dir)/ve/bin
 
 define PRINT_HELP_PYSCRIPT
 import re, sys
@@ -11,6 +12,16 @@
 endef
 export PRINT_HELP_PYSCRIPT
 
+all: devenv test
+
+.PHONY: docs
+
+devenv:	ve/bin/fullrelease
+
+ve/bin/fullrelease:
+	virtualenv ve
+	$(bin_dir)/pip install -e .[test]
+
 help: ## display this message
 	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)
 
@@ -18,8 +29,8 @@
 	cd pyroma/testdata/complete;python setup.py sdist --formats=bztar,gztar,tar,zip
 	cp pyroma/testdata/complete/dist/complete-1.0.dev1.* pyroma/testdata/distributions/
 
-tests: generate ## run tests
-	python -m unittest pyroma.tests
+tests: devenv generate ## run tests
+	tox -e py
 
 clean: clean-pyc ## remove all

=== debian/changelog ===
pyroma (5.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix UserWarning from pkg_resources (closes: #1083585).
  * Use pybuild-plugin-pyproject.
  * Re-enable tests during package build.
  * Enable autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Tue, 06 Jan 2026 00:07:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,15 +6,20 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-python3,
+ pybuild-plugin-pyproject,
 Build-Depends-Indep:
  python3-all,
  python3-docutils,
  python3-pygments,
+ python3-pytest <!nocheck>,
+ python3-requests <!nocheck>,
  python3-setuptools,
+ python3-trove-classifiers <!nocheck>,
 Standards-Version: 4.7.2
 Homepage: https://github.com/regebro/pyroma
 Vcs-Git: https://salsa.debian.org/debian/pyroma.git
 Vcs-Browser: https://salsa.debian.org/debian/pyroma
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pyroma
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
 export PYBUILD_NAME=pyroma
+export PYBUILD_TEST_ARGS=-k 'not RatingsTest' {dir}/pyroma/tests.py
 export DH_VERBOSE=1
 
 # Force UTF-8 locale
@@ -16,6 +17,3 @@
 	dh_auto_install
 	# Renaming Python3 binary
 	mv debian/python3-pyroma/usr/bin/pyroma debian/python3-pyroma/usr/bin/pyroma3
-
-override_dh_auto_test:
-	true
